summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure79
1 files changed, 77 insertions, 2 deletions
diff --git a/configure b/configure
index dbcc84d..be14ca0 100755
--- a/configure
+++ b/configure
@@ -20150,8 +20150,83 @@ echo "$as_me: error: OpenGL Utility Library not found" >&2;}
{ (exit 1); exit 1; }; }
fi
-#CFLAGS="$CFLAGS $GL_CFLAGS $GLU_CFLAGS"
-#LIBS="$LIBS $GL_LIBS $GLU_LIBS"
+
+echo "$as_me:$LINENO: checking for MatrixMul in -lneofx" >&5
+echo $ECHO_N "checking for MatrixMul in -lneofx... $ECHO_C" >&6
+if test "${ac_cv_lib_neofx_MatrixMul+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lneofx $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char MatrixMul ();
+int
+main ()
+{
+MatrixMul ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_lib_neofx_MatrixMul=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_neofx_MatrixMul=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+ conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_neofx_MatrixMul" >&5
+echo "${ECHO_T}$ac_cv_lib_neofx_MatrixMul" >&6
+if test $ac_cv_lib_neofx_MatrixMul = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBNEOFX 1
+_ACEOF
+
+ LIBS="-lneofx $LIBS"
+
+else
+ { { echo "$as_me:$LINENO: error: NeoFX Library not found" >&5
+echo "$as_me: error: NeoFX Library not found" >&2;}
+ { (exit 1); exit 1; }; }
+fi
+
# Checks for header files.
echo "$as_me:$LINENO: checking for ANSI C header files" >&5